import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { util } from 'prettier';
import addCollectionNodeLastComment from './add-collection-node-last-comment.js';
const { addTrailingComment } = util;
export default function handleContractSpecifiersComments({ precedingNode, enclosingNode, comment }) {
    if ((enclosingNode === null || enclosingNode === void 0 ? void 0 : enclosingNode.kind) !== NonterminalKind.ContractSpecifiers) {
        return false;
    }
    if (precedingNode &&
        precedingNode.kind === NonterminalKind.ContractSpecifier) {
        if (precedingNode.variant.kind === NonterminalKind.InheritanceSpecifier) {
            addCollectionNodeLastComment(precedingNode.variant.types, comment);
            return true;
        }
        if (precedingNode.variant.kind === NonterminalKind.StorageLayoutSpecifier) {
            addTrailingComment(precedingNode.variant.expression, comment);
            return true;
        }
    }
    return false;
}
//# sourceMappingURL=handle-contract-specifiers-comments.js.map