import { doc } from 'prettier';
import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { ArrayValues } from './ArrayValues.js';
const { group } = doc.builders;
export class ArrayExpression {
    constructor(ast, options) {
        this.kind = NonterminalKind.ArrayExpression;
        let metadata = getNodeMetadata(ast);
        this.items = new ArrayValues(ast.items, options);
        metadata = updateMetadata(metadata, [this.items]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return group(['[', path.call(print, 'items'), ']']);
    }
}
//# sourceMappingURL=ArrayExpression.js.map