import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { AssemblyFlags } from './AssemblyFlags.js';
export class AssemblyFlagsDeclaration {
    constructor(ast, options) {
        this.kind = NonterminalKind.AssemblyFlagsDeclaration;
        let metadata = getNodeMetadata(ast);
        this.flags = new AssemblyFlags(ast.flags, options);
        metadata = updateMetadata(metadata, [this.flags]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['(', path.call(print, 'flags'), ')'];
    }
}
//# sourceMappingURL=AssemblyFlagsDeclaration.js.map