import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { Statements } from './Statements.js';
export class Block {
    constructor(ast, options) {
        this.kind = NonterminalKind.Block;
        let metadata = getNodeMetadata(ast);
        this.statements = new Statements(ast.statements, options);
        metadata = updateMetadata(metadata, [this.statements]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['{', path.call(print, 'statements'), '}'];
    }
}
//# sourceMappingURL=Block.js.map