import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { Identifier } from './Identifier.js';
import { EnumMembers } from './EnumMembers.js';
export class EnumDefinition {
    constructor(ast) {
        this.kind = NonterminalKind.EnumDefinition;
        let metadata = getNodeMetadata(ast);
        this.name = new Identifier(ast.name);
        this.members = new EnumMembers(ast.members);
        metadata = updateMetadata(metadata, [this.members]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return [
            'enum ',
            path.call(print, 'name'),
            ' {',
            path.call(print, 'members'),
            '}'
        ];
    }
}
//# sourceMappingURL=EnumDefinition.js.map