import { doc } from 'prettier';
import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { printSeparatedList } from '../slang-printers/print-separated-list.js';
import { getNodeMetadata } from '../slang-utils/metadata.js';
import { Identifier } from './Identifier.js';
const { hardline } = doc.builders;
export class EnumMembers {
    constructor(ast) {
        this.kind = NonterminalKind.EnumMembers;
        const metadata = getNodeMetadata(ast, true);
        this.items = ast.items.map((item) => new Identifier(item));
        this.separators = ast.separators.map((separator) => separator.unparse());
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return printSeparatedList(path.map(print, 'items'), {
            firstSeparator: hardline
        });
    }
}
//# sourceMappingURL=EnumMembers.js.map