import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { ExperimentalFeature } from './ExperimentalFeature.js';
export class ExperimentalPragma {
    constructor(ast, options) {
        this.kind = NonterminalKind.ExperimentalPragma;
        let metadata = getNodeMetadata(ast);
        this.feature = new ExperimentalFeature(ast.feature, options);
        metadata = updateMetadata(metadata, [this.feature]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['experimental ', path.call(print, 'feature')];
    }
}
//# sourceMappingURL=ExperimentalPragma.js.map