import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { Expression } from './Expression.js';
export class ExpressionStatement {
    constructor(ast, options) {
        this.kind = NonterminalKind.ExpressionStatement;
        let metadata = getNodeMetadata(ast);
        this.expression = new Expression(ast.expression, options);
        metadata = updateMetadata(metadata, [this.expression]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return [path.call(print, 'expression'), ';'];
    }
}
//# sourceMappingURL=ExpressionStatement.js.map