import { doc } from 'prettier';
import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { sortFunctionAttributes } from '../slang-utils/sort-function-attributes.js';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { FunctionTypeAttribute } from './FunctionTypeAttribute.js';
const { line } = doc.builders;
export class FunctionTypeAttributes {
    constructor(ast) {
        this.kind = NonterminalKind.FunctionTypeAttributes;
        let metadata = getNodeMetadata(ast, true);
        this.items = ast.items.map((item) => new FunctionTypeAttribute(item));
        metadata = updateMetadata(metadata, [this.items]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
        this.items = this.items.sort(sortFunctionAttributes);
    }
    print(path, print) {
        return path.map(print, 'items').map((item) => [line, item]);
    }
}
//# sourceMappingURL=FunctionTypeAttributes.js.map