import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { ImportClause } from './ImportClause.js';
export class ImportDirective {
    constructor(ast, options) {
        this.kind = NonterminalKind.ImportDirective;
        let metadata = getNodeMetadata(ast);
        this.clause = new ImportClause(ast.clause, options);
        metadata = updateMetadata(metadata, [this.clause]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['import ', path.call(print, 'clause'), ';'];
    }
}
//# sourceMappingURL=ImportDirective.js.map