import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { Expression } from './Expression.js';
export class IndexAccessEnd {
    constructor(ast, options) {
        this.kind = NonterminalKind.IndexAccessEnd;
        let metadata = getNodeMetadata(ast);
        if (ast.end) {
            this.end = new Expression(ast.end, options);
        }
        metadata = updateMetadata(metadata, [this.end]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return [':', path.call(print, 'end')];
    }
}
//# sourceMappingURL=IndexAccessEnd.js.map