import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { InheritanceTypes } from './InheritanceTypes.js';
export class InheritanceSpecifier {
    constructor(ast, options) {
        this.kind = NonterminalKind.InheritanceSpecifier;
        let metadata = getNodeMetadata(ast);
        this.types = new InheritanceTypes(ast.types, options);
        metadata = updateMetadata(metadata, [this.types]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['is', path.call(print, 'types')];
    }
}
//# sourceMappingURL=InheritanceSpecifier.js.map