import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { NamedArguments } from './NamedArguments.js';
export class NamedArgumentGroup {
    constructor(ast, options) {
        this.kind = NonterminalKind.NamedArgumentGroup;
        let metadata = getNodeMetadata(ast);
        this.arguments = new NamedArguments(ast.arguments, options);
        metadata = updateMetadata(metadata, [this.arguments]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['{', path.call(print, 'arguments'), '}'];
    }
}
//# sourceMappingURL=NamedArgumentGroup.js.map