import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { OverridePaths } from './OverridePaths.js';
export class OverridePathsDeclaration {
    constructor(ast) {
        this.kind = NonterminalKind.OverridePathsDeclaration;
        let metadata = getNodeMetadata(ast);
        this.paths = new OverridePaths(ast.paths);
        metadata = updateMetadata(metadata, [this.paths]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['(', path.call(print, 'paths'), ')'];
    }
}
//# sourceMappingURL=OverridePathsDeclaration.js.map