import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { OverridePathsDeclaration } from './OverridePathsDeclaration.js';
export class OverrideSpecifier {
    constructor(ast) {
        this.kind = NonterminalKind.OverrideSpecifier;
        let metadata = getNodeMetadata(ast);
        if (ast.overridden) {
            this.overridden = new OverridePathsDeclaration(ast.overridden);
        }
        metadata = updateMetadata(metadata, [this.overridden]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['override', path.call(print, 'overridden')];
    }
}
//# sourceMappingURL=OverrideSpecifier.js.map