import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { Parameters } from './Parameters.js';
export class ParametersDeclaration {
    constructor(ast, options) {
        this.kind = NonterminalKind.ParametersDeclaration;
        let metadata = getNodeMetadata(ast);
        this.parameters = new Parameters(ast.parameters, options);
        metadata = updateMetadata(metadata, [this.parameters]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['(', path.call(print, 'parameters'), ')'];
    }
}
//# sourceMappingURL=ParametersDeclaration.js.map