import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { Pragma } from './Pragma.js';
export class PragmaDirective {
    constructor(ast, options) {
        this.kind = NonterminalKind.PragmaDirective;
        let metadata = getNodeMetadata(ast);
        this.pragma = new Pragma(ast.pragma, options);
        metadata = updateMetadata(metadata, [this.pragma]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['pragma ', path.call(print, 'pragma'), ';'];
    }
}
//# sourceMappingURL=PragmaDirective.js.map