import { doc } from 'prettier';
import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { ParametersDeclaration } from './ParametersDeclaration.js';
const { group } = doc.builders;
export class ReturnsDeclaration {
    constructor(ast, options) {
        this.kind = NonterminalKind.ReturnsDeclaration;
        let metadata = getNodeMetadata(ast);
        this.variables = new ParametersDeclaration(ast.variables, options);
        metadata = updateMetadata(metadata, [this.variables]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['returns ', group(path.call(print, 'variables'))];
    }
}
//# sourceMappingURL=ReturnsDeclaration.js.map