import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { printPreservingEmptyLines } from '../slang-printers/print-preserving-empty-lines.js';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { SourceUnitMember } from './SourceUnitMember.js';
export class SourceUnitMembers {
    constructor(ast, options) {
        this.kind = NonterminalKind.SourceUnitMembers;
        let metadata = getNodeMetadata(ast, true);
        this.items = ast.items.map((item) => new SourceUnitMember(item, options));
        metadata = updateMetadata(metadata, [this.items]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print, options) {
        return printPreservingEmptyLines(path, print, options);
    }
}
//# sourceMappingURL=SourceUnitMembers.js.map