import { doc } from 'prettier';
import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { printSeparatedItem } from '../slang-printers/print-separated-item.js';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { Expression } from './Expression.js';
const { line } = doc.builders;
export class StorageLayoutSpecifier {
    constructor(ast, options) {
        this.kind = NonterminalKind.StorageLayoutSpecifier;
        let metadata = getNodeMetadata(ast);
        this.expression = new Expression(ast.expression, options);
        metadata = updateMetadata(metadata, [this.expression]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return [
            'layout at',
            printSeparatedItem(path.call(print, 'expression'), {
                firstSeparator: line
            })
        ];
    }
}
//# sourceMappingURL=StorageLayoutSpecifier.js.map