import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { TupleMember } from './TupleMember.js';
export class TupleDeconstructionElement {
    constructor(ast, options) {
        this.kind = NonterminalKind.TupleDeconstructionElement;
        let metadata = getNodeMetadata(ast);
        if (ast.member) {
            this.member = new TupleMember(ast.member, options);
        }
        metadata = updateMetadata(metadata, [this.member]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return path.call(print, 'member');
    }
}
//# sourceMappingURL=TupleDeconstructionElement.js.map