import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { TypeName } from './TypeName.js';
export class TypeExpression {
    constructor(ast, options) {
        this.kind = NonterminalKind.TypeExpression;
        let metadata = getNodeMetadata(ast);
        this.typeName = new TypeName(ast.typeName, options);
        metadata = updateMetadata(metadata, [this.typeName]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['type(', path.call(print, 'typeName'), ')'];
    }
}
//# sourceMappingURL=TypeExpression.js.map