import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { UsingDeconstructionSymbols } from './UsingDeconstructionSymbols.js';
export class UsingDeconstruction {
    constructor(ast) {
        this.kind = NonterminalKind.UsingDeconstruction;
        let metadata = getNodeMetadata(ast);
        this.symbols = new UsingDeconstructionSymbols(ast.symbols);
        metadata = updateMetadata(metadata, [this.symbols]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['{', path.call(print, 'symbols'), '}'];
    }
}
//# sourceMappingURL=UsingDeconstruction.js.map