import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { VersionExpressionSet } from './VersionExpressionSet.js';
export class VersionExpressionSets {
    constructor(ast) {
        this.kind = NonterminalKind.VersionExpressionSets;
        let metadata = getNodeMetadata(ast, true);
        this.items = ast.items.map((item) => new VersionExpressionSet(item));
        this.separators = ast.separators.map((separator) => separator.unparse());
        metadata = updateMetadata(metadata, [this.items]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return path
            .map(print, 'items')
            .map((item, index) => index === 0 ? item : [` ${this.separators[index - 1]} `, item]);
    }
}
//# sourceMappingURL=VersionExpressionSets.js.map