import { NonterminalKind, TerminalNode } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { SimpleVersionLiteral } from './SimpleVersionLiteral.js';
export class VersionLiteral {
    constructor(ast) {
        this.kind = NonterminalKind.VersionLiteral;
        let metadata = getNodeMetadata(ast);
        this.variant =
            ast.variant instanceof TerminalNode
                ? ast.variant.unparse()
                : new SimpleVersionLiteral(ast.variant);
        metadata = updateMetadata(metadata, typeof this.variant === 'string' ? [] : [this.variant]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return typeof this.variant === 'string'
            ? this.variant
            : path.call(print, 'variant');
    }
}
//# sourceMappingURL=VersionLiteral.js.map