import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { VersionExpressionSets } from './VersionExpressionSets.js';
export class VersionPragma {
    constructor(ast) {
        this.kind = NonterminalKind.VersionPragma;
        let metadata = getNodeMetadata(ast);
        this.sets = new VersionExpressionSets(ast.sets);
        metadata = updateMetadata(metadata, [this.sets]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['solidity ', path.call(print, 'sets')];
    }
}
//# sourceMappingURL=VersionPragma.js.map