import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { YulBlock } from './YulBlock.js';
export class YulDefaultCase {
    constructor(ast, options) {
        this.kind = NonterminalKind.YulDefaultCase;
        let metadata = getNodeMetadata(ast);
        this.body = new YulBlock(ast.body, options);
        metadata = updateMetadata(metadata, [this.body]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return ['default ', path.call(print, 'body')];
    }
}
//# sourceMappingURL=YulDefaultCase.js.map