import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { YulExpression } from './YulExpression.js';
import { YulBlock } from './YulBlock.js';
export class YulIfStatement {
    constructor(ast, options) {
        this.kind = NonterminalKind.YulIfStatement;
        let metadata = getNodeMetadata(ast);
        this.condition = new YulExpression(ast.condition, options);
        this.body = new YulBlock(ast.body, options);
        metadata = updateMetadata(metadata, [this.condition, this.body]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return [
            'if ',
            path.call(print, 'condition'),
            ' ',
            path.call(print, 'body')
        ];
    }
}
//# sourceMappingURL=YulIfStatement.js.map