import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { printSeparatedList } from '../slang-printers/print-separated-list.js';
import { getNodeMetadata } from '../slang-utils/metadata.js';
import { YulIdentifier } from './YulIdentifier.js';
export class YulParameters {
    constructor(ast) {
        this.kind = NonterminalKind.YulParameters;
        const metadata = getNodeMetadata(ast, true);
        this.items = ast.items.map((item) => new YulIdentifier(item));
        this.separators = ast.separators.map((separator) => separator.unparse());
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return printSeparatedList(path.map(print, 'items'));
    }
}
//# sourceMappingURL=YulParameters.js.map