import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { getNodeMetadata } from '../slang-utils/metadata.js';
import { YulIdentifier } from './YulIdentifier.js';
export class YulPath {
    constructor(ast) {
        this.kind = NonterminalKind.YulPath;
        const metadata = getNodeMetadata(ast, true);
        this.items = ast.items.map((item) => new YulIdentifier(item));
        this.separators = ast.separators.map((separator) => separator.unparse());
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return path
            .map(print, 'items')
            .map((item, index) => index === 0 ? item : [this.separators[index - 1], item]);
    }
}
//# sourceMappingURL=YulPath.js.map