import { doc } from 'prettier';
import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { printSeparatedItem } from '../slang-printers/print-separated-item.js';
import { getNodeMetadata, updateMetadata } from '../slang-utils/metadata.js';
import { YulVariableNames } from './YulVariableNames.js';
const { line } = doc.builders;
export class YulReturnsDeclaration {
    constructor(ast) {
        this.kind = NonterminalKind.YulReturnsDeclaration;
        let metadata = getNodeMetadata(ast);
        this.variables = new YulVariableNames(ast.variables);
        metadata = updateMetadata(metadata, [this.variables]);
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return printSeparatedItem(['->', path.call(print, 'variables')], {
            firstSeparator: line
        });
    }
}
//# sourceMappingURL=YulReturnsDeclaration.js.map