import { NonterminalKind } from '@nomicfoundation/slang/cst';
import { doc } from 'prettier';
import { printSeparatedList } from '../slang-printers/print-separated-list.js';
import { getNodeMetadata } from '../slang-utils/metadata.js';
import { YulIdentifier } from './YulIdentifier.js';
const { line } = doc.builders;
export class YulVariableNames {
    constructor(ast) {
        this.kind = NonterminalKind.YulVariableNames;
        const metadata = getNodeMetadata(ast, true);
        this.items = ast.items.map((item) => new YulIdentifier(item));
        this.separators = ast.separators.map((separator) => separator.unparse());
        this.comments = metadata.comments;
        this.loc = metadata.loc;
    }
    print(path, print) {
        return printSeparatedList(path.map(print, 'items'), {
            firstSeparator: line,
            lastSeparator: ''
        });
    }
}
//# sourceMappingURL=YulVariableNames.js.map